# Class CIM_VideoHeadResolution
extends CIM_SettingData

VideoHeadResolution describes the various video modes that a VideoHead can support. Video modes are defined by the possible horizontal and vertical resolutions, refresh rate, scan mode and number of colors settings supported by a Controller. The actual resolutions, etc. that are in use, are the values specified in the VideoHead object.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SettingData
|
+--CIM_VideoHeadResolution

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | VideoHeadResolution describes the various video modes that a VideoHead can support. Video modes are defined by the possible horizontal and vertical resolutions, refresh rate, scan mode and number of colors settings supported by a Controller. The actual resolutions, etc. that are in use, are the values specified in the VideoHead object.
UMLPackagePath | string | CIM::Device::Controller
Version | string | 2.31.1

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
HorizontalResolution | uint32 |
Description | string | Monitor's horizontal resolution in Pixels.
MappingStrings | string | MIF.DMTF|Monitor Resolutions|002.2
ModelCorrespondence | string | CIM_VideoHead.CurrentHorizontalResolution
PUnit | string | pixel
Units | string | Pixels
MaxRefreshRate | uint32 |
Description | string | Monitor's maximum refresh rate in Hertz, when a range of rates is supported at the specified resolutions.
MappingStrings | string | MIF.DMTF|Monitor Resolutions|002.7
ModelCorrespondence | string | CIM_VideoHead.MaxRefreshRate
PUnit | string | hertz
Units | string | Hertz
MinRefreshRate | uint32 |
Description | string | Monitor's minimum refresh rate in Hertz, when a range of rates is supported at the specified resolutions.
MappingStrings | string | MIF.DMTF|Monitor Resolutions|002.6
ModelCorrespondence | string | CIM_VideoHead.MinRefreshRate
PUnit | string | hertz
Units | string | Hertz
NumberOfColors | uint64 |
Description | string | Number of colors supported at the current resolutions.
ModelCorrespondence | string | CIM_VideoHead.CurrentNumberOfColors
OtherScanMode | string |
Description | string | A string describing the scan mode when the instance's ScanMode property is 1 ("Other").
ModelCorrespondence | string | CIM_VideoHead.OtherCurrentScanMode, CIM_VideoHeadResolution.ScanMode
RefreshRate | uint32 |
Description | string | Monitor's refresh rate in Hertz. If a range of rates is supported, use the MinRefreshRate and MaxRefreshRate properties, and set RefreshRate (this property) to 0.
MappingStrings | string | MIF.DMTF|Monitor Resolutions|002.4
ModelCorrespondence | string | CIM_VideoHead.CurrentRefreshRate
PUnit | string | hertz
Units | string | Hertz
ScanMode | uint16 |
Description | string | Integer indicating whether the monitor operates in interlaced (value=5) or non-interlaced (4) mode.
MappingStrings | string | MIF.DMTF|Monitor Resolutions|002.5
ModelCorrespondence | string | CIM_VideoHead.CurrentScanMode, CIM_VideoHeadResolution.OtherScanMode
ValueMap | string | 0, 1, 2, 3, 4
Values | string | Unknown, Other, Not Supported, Non-Interlaced Operation, Interlaced Operation
VerticalResolution | uint32 |
Description | string | Monitor's vertical resolution in Pixels.
MappingStrings | string | MIF.DMTF|Monitor Resolutions|002.3
ModelCorrespondence | string | CIM_VideoHead.CurrentVerticalResolution
PUnit | string | pixel
Units | string | Pixels

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ChangeableType | uint16 | CIM_SettingData
ConfigurationName | string | CIM_SettingData
Description | string | CIM_ManagedElement
ElementName | string | CIM_SettingData
InstanceID | string | CIM_SettingData

## Class Methods